summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/nestopia/README15
-rw-r--r--games/nestopia/nestopia.SlackBuild84
-rw-r--r--games/nestopia/nestopia.info12
-rw-r--r--games/nestopia/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/games/nestopia/README b/games/nestopia/README
new file mode 100644
index 0000000000..e0dbf55ba0
--- /dev/null
+++ b/games/nestopia/README
@@ -0,0 +1,15 @@
+Nestopia is a portable Nintendo Entertainment System emulator. It strives for
+the most accurate emulation possible at the pixel-by-pixel and sample-by-sample
+level. It was also one of the inspirations for bsnes.
+
+A 1Ghz CPU and 128MB RAM are required to get the best performance.
+
+Before starting it up, copy the following files from /usr/share/nestopiah/ to
+~/.nestopia/:
+
+ * NstDatabase.xml
+ * The default input file (nstcontrols)
+ * The Disk System BIOS (disksys.rom)
+
+A Disk System BIOS (disksys.rom) is optional and, of course, not included. If
+you have one, put it in ~/.nestopia/ too.
diff --git a/games/nestopia/nestopia.SlackBuild b/games/nestopia/nestopia.SlackBuild
new file mode 100644
index 0000000000..1fa5ae5065
--- /dev/null
+++ b/games/nestopia/nestopia.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for Nestopia
+
+# Written by Dugan Chen (thedoogster@gmail.com)
+
+PRGNAM=nestopia
+VERSION=${VERSION:-1.40}
+
+SRCVER=${SRCVER:-140}
+LINUXVER=${LINUXVER:-h}
+
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION$LINUXVER
+mkdir $PRGNAM-$VERSION$LINUXVER
+cd $PRGNAM-$VERSION$LINUXVER
+unzip $CWD/Nestopia${SRCVER}src.zip
+unzip $CWD/nst${SRCVER}_lnx_release_$LINUXVER.zip
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" make
+
+mkdir -p $PKG/usr/bin
+install -D -m755 nst $PKG/usr/bin/
+
+mkdir -p $PKG/usr/share/$PRGNAM
+install -m644 nstcontrols $PKG/usr/share/$PRGNAM/
+install -m644 NstDatabase.xml $PKG/usr/share/$PRGNAM/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION$LINUXVER
+cp -a \
+ COPYING Makefile README.Linux changelog.txt copying.txt readme.html doc/* \
+ $PKG//usr/doc/$PRGNAM-$VERSION$LINUXVER
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION$LINUXVER/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION$LINUXVER-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/nestopia/nestopia.info b/games/nestopia/nestopia.info
new file mode 100644
index 0000000000..ea547b18cf
--- /dev/null
+++ b/games/nestopia/nestopia.info
@@ -0,0 +1,12 @@
+PRGNAM="nestopia"
+VERSION="1.40h"
+HOMEPAGE="http://rbelmont.mameworld.info/?page_id=200"
+DOWNLOAD="http://downloads.sourceforge.net/project/nestopia/Nestopia/v1.40/Nestopia140src.zip \
+ http://rbelmont.mameworld.info/nst140_lnx_release_h.zip"
+MD5SUM="526c99a06d2b257135e7047b0ed95ae0 \
+ f9a9a905bada67e11dac1364612d0b35"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster@gmail.com"
+APPROVED="rworkman"
diff --git a/games/nestopia/slack-desc b/games/nestopia/slack-desc
new file mode 100644
index 0000000000..e919c2a758
--- /dev/null
+++ b/games/nestopia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nestopia: nestopia (Nintendo Entertainment System Emulator)
+nestopia:
+nestopia: Nestopia is a portable Nintendo Entertainment System emulator.
+nestopia: It strives for the most accurate emulation possible at the pixel-by-
+nestopia: pixel and sample-by-sample level. It was also one of the inspirations
+nestopia: for bsnes.
+nestopia:
+nestopia: http://rbelmont.mameworld.info/?page_id=200
+nestopia:
+nestopia:
+nestopia: